UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMHFXAttributes Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMHFXAttributes:

## Public Member Functions
| LBMHFXAttributes () throws LBMException
| LBMHFXAttributes (String topicName) throws LBMException
void | setFromXml (String topicName) throws LBMException
synchronized void | dispose ()
LBMConfigOption[] | dumpAttributeList ()
String | getValue (String attributeName) throws LBMException
void | setValue (String attributeName, String attributeValue) throws LBMException
Object | setProperty (String attributeName, String attributeValue)
void | load (InputStream inStream) throws IOException
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)

## Protected Member Functions
void | finalize ()

## Detailed Description

Encapsulates the set of default LBM receiver attributes.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMHFXAttributes.LBMHFXAttributes | ( |  | ) | throws LBMException

Create an LBMHFXAttributes object with the current default values

Exceptions

  LBMException |

com.latencybusters.lbm.LBMHFXAttributes.LBMHFXAttributes | ( | String | topicName | ) | throws LBMException

Create and fill an LBMHFXAttributes object with the current default values for the given HFX topic name.

Parameters

  topicName | The topic name to be used to create the LBMHFX object.

Exceptions

  LBMException | if the HFX topic name is not permitted by the XML configuration.

## Member Function Documentation

synchronized void com.latencybusters.lbm.LBMHFXAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes.

Referenced by com.latencybusters.lbm.LBMHFXAttributes.finalize().

LBMConfigOption [] com.latencybusters.lbm.LBMHFXAttributes.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions

Returns
  Array of LBMConfigOption

void com.latencybusters.lbm.LBMHFXAttributes.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMHFXAttributes.dispose().

String com.latencybusters.lbm.LBMHFXAttributes.getValue | ( | String | attributeName | ) | throws LBMException

Returns the current value of an attribute from this set of HFX attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

void com.latencybusters.lbm.LBMHFXAttributes.load | ( | InputStream | inStream | ) | throws IOException

Reads a property (attribute) list (key and element pairs) from the input stream.

Parameters

  inStream | Input stream of bytes

Exceptions

  IOException | if any I/O error occurs.
  LBMRuntimeException | if any invalid attribute is detected in `inStream`.

References com.latencybusters.lbm.LBMHFXAttributes.setProperty().

void com.latencybusters.lbm.LBMHFXAttributes.setFromXml | ( | String | topicName | ) | throws LBMException

Fill an LBMHFXAttributes object with the default values for the given HFX topic name specified by XML configuration.

Parameters

  topicName | The topic name to be used to create the LBMHFX object.

Exceptions

  LBMException | if the HFX topic name is not permitted by the XML configuration.

void com.latencybusters.lbm.LBMHFXAttributes.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

Object com.latencybusters.lbm.LBMHFXAttributes.setProperty | ( | String | attributeName,
|  | String | attributeValue
| ) |  |

Set the current value of an attribute in this set of HFX attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMRuntimeException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

References com.latencybusters.lbm.LBMHFXAttributes.setValue().

Referenced by com.latencybusters.lbm.LBMHFXAttributes.load().

void com.latencybusters.lbm.LBMHFXAttributes.setValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the current value of an attribute in this set of HFX attributes. Note that this method bypasses the property list. As such no attributes configured using this method will appear in the property list.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

See also
  setProperty

Referenced by com.latencybusters.lbm.LBMHFXAttributes.setProperty().

The documentation for this class was generated from the following file:

- LBMHFXAttributes.java